[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Source_Maxwell_3` Component

Source with up to three Maxwellian distributions

## Identification

- Author: Kim Lefmann
- Origin: Risoe
- Date: March 2001
- Version: 1.16

## Description

    A parametrised continuous source for modelling a (cubic) source
    with (up to) 3 Maxwellian distributions.
    The source produces a continuous spectrum.
    The sampling of the neutrons is uniform in lambda.

    Units of flux: neutrons/cm^2/second/ster
    (McStas units are in general neutrons/second)

    Example:  PSI cold source T1=150.42 K / 2.51 AA     I1 = 3.67 E11
                              T2=38.74 K / 4.95 AA      I2 = 3.64 E11
                              T3=14.84 K / 9.5 AA       I3 = 0.95 E11

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
size | m | Edge of cube shaped source (for backward compatibility) | 0
height | m | Height of rectangular source | 0
width | m | Width of rectangular source | 0
l_low | AA | Lower edge of lambda distribution |
l_high | AA | Upper edge of lambda distribution |
dist | m | Distance from source to focusing rectangle; at (0,0,dist) |
xw | m | Width of focusing rectangle |
yh | m | Height of focusing rectangle |
T1 | K | 1st temperature of thermal distribution |
T2 | K | 2nd temperature of thermal distribution | 300
T3 | K | 3nd temperature of - - - | 300
I1 | * | l-integrated flux, 1 (in flux units, see above) |
I2 | * | l-integrated flux, 2 (in flux units, see above) | 0
I3 | * | l-integrated flux, 3 - - - | 0

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
M |  |  |
l_range |  |  |
w_mult |  |  |
w_source |  |  |
h_source |  |  |

## Links

- Source code for `Source_Maxwell_3.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]